import { Facet, Extension } from "@codemirror/state";
/**
 * Issued if there is a change of a block level.
 */
export type BlockLevelChangeEffectSpec = {
    /**
     * Previous level of block.
     */
    fromLevel: number;
    /**
     * New level of block.
     */
    toLevel: number;
    /**
     * Number of the root block line.
     */
    lineNumber: number;
};
/**
 * Block level effect that contains information about a level change.
 */
export const blockLevelChangeEffect: import("@codemirror/state").StateEffectType<BlockLevelChangeEffectSpec>;
export const blockLevelListenerFacet: Facet<(effect: BlockLevelChangeEffectSpec[]) => void, readonly ((effect: BlockLevelChangeEffectSpec[]) => void)[]>;
export function blockLevelExtension(_options?: {}): Extension;

//# sourceMappingURL=index.d.ts.map
